%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global upstream_name flufl.lock

Name:           python-%{upstream_name}
Version:        2.3.1
Release:        1%{?dist}
Summary:        NFS-safe file locking with timeouts for POSIX systems

License:        LGPLv3+
URL:            http://launchpad.net/flufl.lock
Source0:        http://pypi.python.org/packages/source/f/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-setuptools


%description
The flufl.lock library provides an NFS-safe file-based locking algorithm
influenced by the GNU/Linux "open(2)" manpage, under the description of the
"O_EXCL" option.


%package -n python%{python3_pkgversion}-%{upstream_name}
Summary:        NFS-safe file locking with timeouts for POSIX systems
BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{upstream_name}
The flufl.lock library provides an NFS-safe file-based locking algorithm
influenced by the GNU/Linux "open(2)" manpage, under the description of the
"O_EXCL" option.


%prep
%setup -q -n %{upstream_name}-%{version}
# Remove bundled egg-info
rm -rf %{upstream_name}.egg-info

rm -rf %{py3dir}
cp -a . %{py3dir}


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/flufl
%{python_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{upstream_name}-%{version}-py?.?-nspkg.pth

%files -n python%{python3_pkgversion}-%{upstream_name}
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/flufl
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?-nspkg.pth


%changelog
* Wed Nov 28 2012 Aurelien Bompard - 2.2.1-1
- Initial package.
